/*
 * Copyright 2020 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef _SRTM_NATUREDSP_TEST_H_
#define _SRTM_NATUREDSP_TEST_H_


#define LOOP_COUNT     100

void TEST_SQRT();

void TEST_SINE();

void TEST_MATRIX_INV();

void TEST_MATRIX_TRANSPOSE();

void TEST_VEC_DOT();

void TEST_VEC_ADD();


#endif /* _SRTM_NATUREDSP_TEST_H_ */
